CREATE TABLE IF NOT EXISTS `{#}con_wishes` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `photo` text,
  `slug` varchar(100) DEFAULT NULL,
  `seo_keys` varchar(256) DEFAULT NULL,
  `seo_desc` varchar(256) DEFAULT NULL,
  `seo_title` varchar(256) DEFAULT NULL,
  `tags` varchar(1000) DEFAULT NULL,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_last_modified` timestamp NULL DEFAULT NULL,
  `date_pub_end` timestamp NULL DEFAULT NULL,
  `is_pub` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `hits_count` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `user_id` int(11) UNSIGNED DEFAULT NULL,
  `parent_id` int(11) UNSIGNED DEFAULT NULL,
  `parent_type` varchar(32) DEFAULT NULL,
  `parent_title` varchar(100) DEFAULT NULL,
  `parent_url` varchar(255) DEFAULT NULL,
  `is_parent_hidden` tinyint(1) UNSIGNED DEFAULT NULL,
  `category_id` int(11) UNSIGNED NOT NULL DEFAULT '1',
  `folder_id` int(11) UNSIGNED DEFAULT NULL,
  `is_comments_on` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `comments` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `rating` int(11) NOT NULL DEFAULT '0',
  `is_deleted` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_approved` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `approved_by` int(11) UNSIGNED DEFAULT NULL,
  `date_approved` timestamp NULL DEFAULT NULL,
  `is_private` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slug` (`slug`),
  KEY `date_pub` (`is_pub`,`is_parent_hidden`,`is_deleted`,`is_approved`,`date_pub`),
  KEY `parent_id` (`parent_id`,`parent_type`,`date_pub`),
  KEY `user_id` (`user_id`,`date_pub`),
  KEY `date_pub_end` (`date_pub_end`),
  KEY `category_id` (`category_id`),
  KEY `folder_id` (`folder_id`),
  KEY `approved_by` (`approved_by`),
  KEY `dataset_desire` (`type`,`is_pub`,`is_parent_hidden`,`is_deleted`,`is_approved`),
  KEY `dataset_all` (`is_pub`,`is_parent_hidden`,`is_deleted`,`is_approved`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `{#}con_wishes` (`id`, `title`, `content`, `photo`, `slug`, `seo_keys`, `seo_desc`, `seo_title`, `tags`, `date_pub`, `date_last_modified`, `date_pub_end`, `is_pub`, `hits_count`, `user_id`, `parent_id`, `parent_type`, `parent_title`, `parent_url`, `is_parent_hidden`, `category_id`, `folder_id`, `is_comments_on`, `comments`, `rating`, `is_deleted`, `is_approved`, `approved_by`, `date_approved`, `is_private`, `type`) VALUES
(1, 'Хочу на море', 'Можно и на Каспийское, но лучше на Черное ...', NULL, '1-hochu-na-more', 'каспийское, черное', 'Можно и на Каспийское, но лучше на Черное ...', NULL, NULL, '2018-09-27 19:15:29', '2018-09-27 19:31:15', NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, '2018-09-27 19:15:29', 0, 'desire'),
(3, 'Хочу спать', 'На мягкой подушке под теплым одеялом ...', NULL, '3-hochu-spat', 'мягкой, подушке, теплым, одеялом', 'На мягкой подушке под теплым одеялом ...', NULL, NULL, '2018-09-27 20:17:00', '2018-09-27 21:59:30', NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, '2018-09-27 20:17:00', 0, 'desire'),
(4, 'Слетать на Луну', 'Говорят там красиво и холодно ...', NULL, '4-sletat-na-lunu', 'говорят, красиво, холодно', 'Говорят там красиво и холодно ...', NULL, NULL, '2018-09-27 21:55:42', '2018-09-27 23:15:10', NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, '2018-09-27 21:55:42', 0, 'desire'),
(6, 'Щенок бультерьера', 'Отдам в хорошие руки', NULL, '6-schenok-bulterera', 'отдам, хорошие', 'Отдам в хорошие руки', NULL, NULL, '2018-09-27 22:58:16', '2018-09-27 22:58:16', NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, '2018-09-27 22:58:16', 0, 'ability'),
(7, 'Посадить кактус', 'Он хоть и колючий, зато зеленый', NULL, '7-posadit-kaktus', 'колючий, зеленый', 'Он хоть и колючий, зато зеленый', NULL, NULL, '2018-09-27 23:08:26', '2018-09-27 23:08:26', NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, '2018-09-27 23:08:26', 0, 'desire'),
(5, 'Могу свозить на море', 'Завтра выезжаем на Балтику ...', NULL, '5-mogu-svozit-na-more', 'завтра, выезжаем, балтику', 'Завтра выезжаем на Балтику ...', NULL, NULL, '2018-09-27 22:27:40', '2018-09-27 22:27:40', NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, '2018-09-27 22:27:40', 0, 'ability');

CREATE TABLE IF NOT EXISTS `{#}con_wishes_cats` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) UNSIGNED DEFAULT NULL,
  `title` varchar(200) DEFAULT NULL,
  `description` text,
  `slug` varchar(255) DEFAULT NULL,
  `slug_key` varchar(255) DEFAULT NULL,
  `seo_keys` varchar(256) DEFAULT NULL,
  `seo_desc` varchar(256) DEFAULT NULL,
  `seo_title` varchar(256) DEFAULT NULL,
  `ordering` int(11) UNSIGNED DEFAULT NULL,
  `ns_left` int(11) UNSIGNED DEFAULT NULL,
  `ns_right` int(11) UNSIGNED DEFAULT NULL,
  `ns_level` int(11) UNSIGNED DEFAULT NULL,
  `ns_differ` varchar(32) NOT NULL DEFAULT '',
  `ns_ignore` tinyint(4) UNSIGNED NOT NULL DEFAULT '0',
  `allow_add` text,
  PRIMARY KEY (`id`),
  KEY `slug` (`slug`),
  KEY `parent_id` (`parent_id`,`ns_left`),
  KEY `ns_left` (`ns_level`,`ns_right`,`ns_left`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `{#}con_wishes_cats` (`id`, `parent_id`, `title`, `description`, `slug`, `slug_key`, `seo_keys`, `seo_desc`, `seo_title`, `ordering`, `ns_left`, `ns_right`, `ns_level`, `ns_differ`, `ns_ignore`, `allow_add`) VALUES
(1, 0, '---', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 2, 0, '', 0, NULL);

CREATE TABLE IF NOT EXISTS `{#}con_wishes_cats_bind` (
  `item_id` int(11) UNSIGNED DEFAULT NULL,
  `category_id` int(11) UNSIGNED DEFAULT NULL,
  KEY `item_id` (`item_id`),
  KEY `category_id` (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}con_wishes_cats_bind` (`item_id`, `category_id`) VALUES
(1, 1),
(3, 1),
(4, 1),
(5, 1),
(6, 1),
(7, 1);

CREATE TABLE IF NOT EXISTS `{#}con_wishes_fields` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ctype_id` int(11) UNSIGNED DEFAULT NULL,
  `name` varchar(40) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `hint` varchar(200) DEFAULT NULL,
  `ordering` int(11) UNSIGNED DEFAULT NULL,
  `fieldset` varchar(32) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `is_in_list` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_in_item` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_in_filter` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_private` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_fixed` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_fixed_type` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_system` tinyint(1) UNSIGNED DEFAULT NULL,
  `values` text,
  `options` text,
  `groups_read` text,
  `groups_edit` text,
  `filter_view` text,
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `{#}con_wishes_fields` (`id`, `ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES
(1, 11, 'title', 'Заголовок', NULL, 1, NULL, 'caption', 1, 1, 1, NULL, 1, 1, 0, NULL, '---\nlabel_in_list: none\nlabel_in_item: none\nmin_length: 3\nmax_length: 255\nis_required: true\n', NULL, NULL, NULL),
(2, 11, 'date_pub', 'Дата публикации', NULL, 2, NULL, 'date', 1, 1, 1, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\nshow_time: true\n', NULL, NULL, NULL),
(3, 11, 'user', 'Автор', NULL, 3, NULL, 'user', 1, 1, 0, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\n', NULL, NULL, NULL),
(4, 11, 'photo', 'Изображение', NULL, 4, NULL, 'image', 0, 1, NULL, NULL, 1, NULL, NULL, NULL, '---\nsize_teaser: small\nsize_full: normal\nsize_modal:\nsizes:\n  - normal\n  - micro\n  - small\n  - big\nallow_import_link: null\ncontext_list:\n  - 0\nrelation_id: 0\nlabel_in_list: none\nlabel_in_item: none\nwrap_type: auto\nwrap_width:\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\nprofile_value:\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n'),
(5, 11, 'content', 'Описание', NULL, 5, NULL, 'text', 1, 1, NULL, NULL, 1, NULL, NULL, NULL, '---\nlabel_in_list: none\nlabel_in_item: none\n', NULL, NULL, NULL),
(6, 11, 'type', 'Тип записи', NULL, 6, NULL, 'hidden', 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, '---\ncontext_list:\n  - 0\nrelation_id: 0\nlabel_in_list: left\nlabel_in_item: left\nwrap_type: auto\nwrap_width:\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\nprofile_value:\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n');

CREATE TABLE IF NOT EXISTS `{#}con_wishes_props` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ctype_id` int(11) UNSIGNED DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `fieldset` varchar(32) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `is_in_filter` tinyint(1) UNSIGNED DEFAULT NULL,
  `values` text,
  `options` text,
  PRIMARY KEY (`id`),
  KEY `is_in_filter` (`is_in_filter`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}con_wishes_props_bind` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `prop_id` int(11) UNSIGNED DEFAULT NULL,
  `cat_id` int(11) UNSIGNED DEFAULT NULL,
  `ordering` int(11) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `prop_id` (`prop_id`),
  KEY `cat_id` (`cat_id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}con_wishes_props_values` (
  `prop_id` int(11) UNSIGNED DEFAULT NULL,
  `item_id` int(11) UNSIGNED DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  KEY `prop_id` (`prop_id`),
  KEY `item_id` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `{#}con_wishes` ADD FULLTEXT KEY `title` (`title`);

INSERT INTO `{#}content_types` (`title`, `name`, `description`, `ordering`, `is_date_range`, `is_premod_add`, `is_premod_edit`, `is_cats`, `is_cats_recursive`, `is_folders`, `is_in_groups`, `is_in_groups_only`, `is_comments`, `is_comments_tree`, `is_rating`, `is_rating_pos`, `is_tags`, `is_auto_keys`, `is_auto_desc`, `is_auto_url`, `is_fixed_url`, `url_pattern`, `options`, `labels`, `seo_keys`, `seo_desc`, `seo_title`, `item_append_html`, `is_fixed`) VALUES
('Желания', 'wishes', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, '{id}-{title}', '---\nis_date_range_process: hide\nis_empty_root: null\nis_cats_multi: null\nis_cats_change: 1\nis_cats_open_root: null\nis_cats_only_last: null\nis_show_cats: null\nis_tags_in_list: null\nis_tags_in_item: null\nis_rss: null\nenable_subscriptions: 1\nsubscriptions_recursive_categories: 1\nlist_on: 1\nprofile_on: 1\nlist_show_filter: null\nlist_expand_filter: null\nprivacy_type: hide\nlimit: 15\nitem_on: 1\nis_show_fields_group: null\nhits_on: null\nis_manual_title: null\nseo_title_pattern:\nseo_keys_pattern:\nseo_desc_pattern:\nis_cats_title: null\nis_cats_keys: null\nis_cats_desc: null\nis_cats_auto_url: 1\nis_collapsed: null\n', '---\none: желание\ntwo: желания\nmany: желаний\ncreate: «Хочу»\nlist:\nprofile:\n', NULL, NULL, NULL, NULL, NULL);

INSERT INTO `{#}controllers` (`title`, `name`, `slug`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`, `is_external`, `files`, `addon_id`) VALUES
('Желания', 'wishes', NULL, 1, '---\ndesire_titles: |\n  title|Ваше желание\r\n  content|Опишите суть вашего желания\nability_titles: |\n  title|Ваша возможность\r\n  content|Опишите суть вашей возможности\nseo_keys: oooooooooo, yyyyyyyyyy\nseo_desc: 567567\nmainpage: |\n  <table>\r\n  <tbody>\r\n  <tr>\r\n  	<td>\r\n  		<p>\r\n  			<img src=\"/templates/default/controllers/wishes/images/main.png\">\r\n  		</p>\r\n  	</td>\r\n  	<td>\r\n  		В текущем разделе сайта Вы  можете опубликовать свои \"умения\" и\r\n  \"желания\", рассказать всем о том,  чем можете быть полезным или ищете\r\n  тех, кто бы Вам помог. В отличии от  раздела \"Объявлений\", который у нас\r\n   тоже есть, этот раздел посвящен  некоммерческим предложениям.\r\n  		<br>\r\n  		<br>\r\n  		<span style=\"font-size: 16px;\"><strong>Самое главное:</strong></span>\r\n  		<br><ol><li><span style=\"font-size: 12px;\"><span style=\"font-size: 14px;\">&nbsp;\r\n  		  Ваши желания и умения (навыки) могут быть и \"нереальными\", но выполнимыми, не засоряйте ленту, отнеситесь с пониманием.\r\n  		</span></span></li><li><span style=\"font-size: 14px;\"><span style=\"font-size: 12px;\"><span style=\"font-size: 14px;\">&nbsp;\r\n  		  Запрещаются публикации ненормативного характера и запрещённые законодательно\r\n  		</span></span></span></li><li><span style=\"font-size: 14px;\"><span style=\"font-size: 14px;\"><span style=\"font-size: 12px;\"><span style=\"font-size: 14px;\">&nbsp;\r\n  		  Запрещается наглая реклама и публикация дублирующих сообщений (удаляется без предупреждения)\r\n  		</span></span></span></span></li><li><span style=\"font-size: 14px;\"><span style=\"font-size: 12px;\"><span style=\"font-size: 14px;\">&nbsp;\r\n  		  Не допускается искусственное выделение сообщений заглавными буквами и специальными символами.\r\n  </span>		</span></span></li><li><span style=\"font-size: 12px;\"><span style=\"font-size: 14px;\">&nbsp;\r\n  		  Если Ваше сообщение утратило актуальность, то удалите его, перейдя в сообщение.\r\n  	</span></span></li></ol></td>\r\n  </tr>\r\n  </tbody>\r\n  </table>\nshow_main: 1\nmain_lenght: 15\nlist_lenght: 30\ncoloring: 1\ndesire_color: \'#e4f7ef\'\nability_color: \'#faf0f0\'\ncoloring_list: 1\ncoloring_main: 1\nmain_count: 3\n', 'Alex Malinsky', 'http://codeplace.ru', '1.0', 1, NULL, NULL, NULL);





