<?php
class wishes extends cmsFrontend {

	public function routeAction($action_name) {	
		$core = cmsCore::getInstance();	 
		if (!$this->isActionExists($action_name)){
			$core->uri_controller = 'content';		
			$core->runController();			
			$this->current_params = array();
			return 'exit';
		}			
		return $action_name;			
	}	
	
	public function actionExit(){return;}
	
	public function setFormTitles($form, $titles){
		if(!$titles) return $form;
		$lines = preg_split('/\\r\\n?|\\n/', $titles);
		foreach($lines as $line){
			$params = explode('|', $line);
			$form->setFieldProperty(1, $params[0], 'title', $params[1]);
			$form->setFieldProperty(1, $params[0], 'element_title', $params[1]);
		}
		
		return $form;
	}
	
	public function prepareItems($ctype, $type){
		$options = $this->getOptions();
		$model = cmsCore::getModel('content');
   		$items = $model->filterEqual('type', $type)->limit($options['main_count'])->orderBy('id', 'desc')->get('con_'.$ctype['name']);		
		if(!$items) return false;
		
		$fields = $model->getContentFields($ctype['name']); 
		
		foreach($items as $key=>$item){
		            // строим поля списка
            foreach($fields as $field){

                if ($field['is_system'] || !$field['is_in_list'] || !isset($item[$field['name']])) { continue; }

                // разрешен показ в списке, проверяем в каких именно
                if(!empty($field['options']['context_list']) && array_search('0', $field['options']['context_list']) === false){
                    if(!in_array($list_type, $field['options']['context_list'])){
                        continue;
                    }
                }

                if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; }
                if (!$item[$field['name']] && $item[$field['name']] !== '0') { continue; }

                if (!isset($field['options']['label_in_list'])) {
                    $label_pos = 'none';
                } else {
                    $label_pos = $field['options']['label_in_list'];
                }

                $field_html = $field['handler']->setItem($item)->parseTeaser($item[$field['name']]);
                if (!$field_html) { continue; }

                $items[$key]['fields'][$field['name']] = array(
                    'label_pos' => $label_pos,
                    'type'      => $field['type'],
                    'name'      => $field['name'],
                    'title'     => $field['title'],
                    'html'      => $field_html
                );
				
				$items[$key]['user'] = cmsCore::getModel('users')->getUser($item['user_id']);

            }	
		}
		
		return $items;	
	}
	
	
    public function words_limit($input_text, $limit = 40, $end_str = '...') {
        $input_text = strip_tags($input_text);
        $words = explode(' ', $input_text); 
        if ($limit < 1 || sizeof($words) <= $limit) { 
            return $input_text;
        }
        $words = array_slice($words, 0, $limit); 
        $out = implode(' ', $words);
        return $out.$end_str; 
    }
	
}
